Ryzom - Bug # 884

Status: Closed Priority: Normal
Author: ThibG Category: NeL: General
Created: 05/11/2010 Assignee: kervala
Updated: 05/28/2010 Due date:

Subiject: 24bpp support

Description

Hi, the OpenGL driver only supports 32bpp and 16bpp pixel formats.
Here is a patch to fix that.

History

#1 - 05/12/2010 12:45 pm - kervala
- Status changed from New to Assigned

- Assignee set to kervala

#2 - 05/12/2010 12:49 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r111.

#3 - 05/12/2010 12:50 pm - kervala
- Target version set to Version 0.8.0

Thanks for the patch :)

#4 - 05/12/2010 05:56 pm - ThibG
- File 32bpp-24bpp.patch added

Seems my patch wasn't enough.

Here is what happen with the current version: gIXChooseVisual accepts sAttribList32bpp despite running on a 24bpp only display, and fails when
creating the window.

| think sAttribList32bpp is wrong by saying its depth is 24bpp. At least, on my computer, and maskow's (using a 24bpp-only driver too), it works.

However, | didn't do much X/GL stuff, so, I'm not that sure.

#5 - 05/12/2010 06:02 pm - sfb
- Status changed from Resolved to New

ThibG has additional patching required for this issue.

#6 - 05/12/2010 07:17 pm - kervala
- Status changed from New to Resolved

Applied in changeset r125.

#7 - 05/28/2010 05:23 pm - vI
- Status changed from Resolved to Closed

Files
24bpp.patch 1022 Bytes 05/11/2010 ThibG
32bpp-24bpp.patch 1.4 kB 05/12/2010 ThibG
